/*
 * seti_control.h
 *
 * Description: Provides functions for starting and stoping setiathome
 *
 * Author: Matt Herbert <mherbert@bit-net.com>
 *
 * Date: Feb 20, 2000
 *
 * Changelog:
 * $Log: seti_control.h,v $
 * Revision 1.4.4.5  2003/03/05 05:57:55  r_kinder
 * GUI fixes, bug fixes.
 *
 * Revision 1.4.4.4  2003/01/23 23:37:28  r_kinder
 * Do a 'make indent' on the files. Remove legacy code that is no longer
 * pertinant.
 *
 * Revision 1.4.4.3  2002/04/07 23:44:36  r_kinder
 * Functionally almost complete version - still need to work on the graphics, but
 * the splitting of UI from the main code is almost complete (still debating
 * whether to put the properties interface in a new module). Works.
 *
 * Revision 1.4.4.2  2002/02/25 22:58:54  r_kinder
 * First version that builds (NOTE: WILL NOT RUN!!!)
 *
 * Revision 1.4.4.1  2002/02/24 10:24:21  r_kinder
 * Update to CVS in case my laptop blows up.
 *
 * Revision 1.4  2001/06/12 07:27:20  r_kinder
 * Fix all of the known bugs from 0.3.4-2, add the new user detection code
 * and gui to set up seti@home accounts. Clean up some of the code.
 *
 */

#ifndef _SETI_CONTROL_H
#define _SETI_CONTROL_H

//#include "interface.h"
//#include "support.h"
//#include <applet-widget.h>
#include "seti_applet.h"

//defines for seti running values
typedef enum _SetiStatus_t
{
    SETI_STOPPED = 0,
    SETI_RUNNING = 1,
    SETI_NONEXISTANT = 2,
}
SetiStatus_t;

//Exported Prototypes
int         seti_status(setiapplet *);
void        start_stop_seti_cb(PanelApplet *,
                               gpointer);
void        start_xseti(gpointer);

#endif
